--
-- @filename Module.Xy.ads
-- @author Julien Burdy & Vincent Decorges
-- @date 7.7.02
-- @brief Module exemple du document "Comment ecrire un module."
--
-- History  :
-- Date     Modification               Author
--
package Module.Xy is

   -- L'objet derive.
   type Object is new Module.Object with null record;

   -- Annonce du debut du document.
   -- Cet evenement est appele une seule fois.
   procedure Begin_Document (Self : Object; Package_Name : String;
                             Atts, Tags : Dict_Type);

   -- Annonce du la fin du document.
   -- Cet evenement est appele une seule fois.
   procedure End_Document (self : Object);

   -- Annonce des dbut de groupes (ou d'Element_Type en general).
   procedure Start_Group (Self : Object; Group : Element_Type);

   -- Annonce d'une procedure.
   procedure A_Parameter (Self : Object; Atts : Dict_Type; Its_Name,
                          Its_Type, Its_Mode : String);

   -- Annonce d'un parametre.
   procedure A_Procedure (Self : Object; Atts : Dict_Type;
                          Its_Name : String; In_Prot_Obj : Boolean);

end Module.Xy;
