; AdaDoc installer script
; NSIS 1.98 (updated 4.28.02)
; http://www.firehose.net/free/nsis

Name "AdaDoc v2.02"
OutFile "Install_AdaDoc.exe"

CRCCheck on
SetCompress auto
SetDatablockOptimize on
;ShowInstDetails show

LicenseText "AdaDoc is distributed under GPL licence"
LicenseData "..\Doc\gpl-en.txt"

InstallDir "$PROGRAMFILES\AdaDoc"
InstallDirRegKey HKEY_LOCAL_MACHINE "SOFTWARE\AdaDoc" ""
DirShow show
DirText "Select destination folder"
ComponentText "Select the components you want to install"

Section "AdaDoc (required)" ; (default section)
   SectionIn 1 2
   SetOutPath "$INSTDIR"

   File "adadoc.exe"
   File "adadoc_tags.cfg"
   File "AdaDocV2.xsd"
   File "..\Doc\XSDdoc\*.*"
   File "..\Doc\HowToWriteModule.pdf"
   File "..\Doc\UserGuide.pdf"
   File "..\Doc\gpl-en.txt"
   File "..\Doc\SchemaDiagram.png"
   File "..\Doc\style.css"
   File "..\Doc\BUGS.txt"
   File "..\Doc\FEATURE.txt"
   File "Modules\module.*"


;   File "install_files\*.*"

   WriteRegStr HKEY_LOCAL_MACHINE "SOFTWARE\AdaDoc" "" "$INSTDIR"
   WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\AdaDoc" "DisplayName" "AdaDoc (suppression)"
   WriteRegStr HKEY_LOCAL_MACHINE "Software\Microsoft\Windows\CurrentVersion\Uninstall\AdaDoc" "UninstallString" '"$INSTDIR\uninstall.exe"'

   CreateDirectory "$SMPROGRAMS\AdaDoc"
   CreateDirectory "$SMPROGRAMS\AdaDoc\Example"
   CreateDirectory "$SMPROGRAMS\AdaDoc\Dev"

   CopyFiles "$INSTDIR\adadoc.exe" "$SYSDIR" 500
   ;CopyFiles "$INSTDIR\adadoc_tags.cfg" "$SYSDIR" 500

   CreateShortCut "$SMPROGRAMS\AdaDoc\GPL License.lnk" "$INSTDIR\gpl-en.txt"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
   CreateShortCut "$SMPROGRAMS\AdaDoc\User Guide.lnk" "$INSTDIR\UserGuide.pdf"
   CreateShortCut "$SMPROGRAMS\AdaDoc\BUGS.lnk" "$INSTDIR\BUGS.txt"
   CreateShortCut "$SMPROGRAMS\AdaDoc\FEATURE.lnk" "$INSTDIR\FEATURE.txt"
   CreateShortCut "$SMPROGRAMS\AdaDoc\AdaDoc on the Web.lnk" "http://adadoc.sf.net"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Example\module.ads.lnk" "$INSTDIR\module.ads"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Example\module.xml.lnk" "$INSTDIR\module.xml"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Example\module.html.lnk" "$INSTDIR\module.html"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Example\module.tex.lnk" "$INSTDIR\module.tex"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Example\style.css.lnk" "$INSTDIR\style.css"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Dev\How to write a module.lnk" "$INSTDIR\HowToWriteModule.pdf"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Dev\XSD Schema Diagram.lnk" "$INSTDIR\SchemaDiagram.png"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Dev\XSD Schema.lnk" "$INSTDIR\AdaDocV2.xsd"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Dev\XSD Schema Doc.lnk" "$INSTDIR\AdaDocXmlShema.html"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Dev\XML Ada page.lnk" "http://libre.act-europe.fr/xmlada"
   CreateShortCut "$SMPROGRAMS\AdaDoc\Dev\W3C XML Schema page.lnk" "http://www.w3.org/XML/Schema"

   ;SearchPath $1 adadoc.exe

   WriteUninstaller "uninstall.exe"

SectionEnd ; end of default section



Section "Desktop shortcut"
  CreateShortCut "$DESKTOP\AdaDoc.lnk" "$INSTDIR\adadoc.exe" '' '$INSTDIR\adadoc.ico'
SectionEnd


Section "Shell extension (by left button)"
   ;lit la variable
   ReadRegStr $1 HKCR ".ads"  ""

   ;si il ne peut pas la lire
   IfErrors 0 NoError

   WriteRegStr HKCR ".ads" "" "AdaDoc"
   WriteRegStr HKCR "AdaDoc\shell\GenAdaDoc" "" "Send to AdaDoc"
   WriteRegStr HKCR "AdaDoc\shell\GenAdaDoc\command" "" '"$INSTDIR\adadoc.exe" "%1"'

   Goto Fin
   NoError:

   WriteRegStr HKCR "$1\shell\GenAdaDoc" "" "Send to AdaDoc"
   WriteRegStr HKCR "$1\shell\GenAdaDoc\command" "" '"$INSTDIR\adadoc.exe" "%1"'

   Fin:
SectionEnd


; begin uninstall settings/section
;UninstallText "This will uninstall AdaDoc of your computer"
;UninstallExeName "uninstall.exe"

Section Uninstall


   Delete "$INSTDIR\*.*"
   Delete "$SYSDIR\adadoc.exe"
   ;Delete "$SYSDIR\adadoc_tags.cfg"

   Delete "$DESKTOP\AdaDoc.lnk"
   Delete "$SMPROGRAMS\AdaDoc\Dev\*.*"
   Delete "$SMPROGRAMS\AdaDoc\Example\*.*"
   Delete "$SMPROGRAMS\AdaDoc\*.*"

   RMDir "$SMPROGRAMS\AdaDoc\Dev"
   RMDir "$SMPROGRAMS\AdaDoc\Example"
   RMDir "$SMPROGRAMS\AdaDoc"
   RMDir "$INSTDIR"

   DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\AdaDoc"
   DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AdaDoc"


      ReadRegStr $1 HKCR ".ads"  ""

      DeleteRegKey HKCR "AdaDoc\shell\GenAdaDoc"
      DeleteRegKey HKCR "AdaDoc\shell\GenAdaDoc\command"

      DeleteRegKey HKCR "$1\shell\GenAdaDoc"
      DeleteRegKey HKCR "$1\shell\GenAdaDoc\command"

SectionEnd
