
-- ***********************************************************
-- *                                                         *
-- * Ada95_Parser                                            * SPEC
-- *                                                         *
-- ***********************************************************
with AdaDoc_Tree.List; use AdaDoc_Tree.List;
package Ada95_Parser is

  procedure Run (File_Name : in STRING);
  --| PURPOSE:
  --| Cause the Parser to execute.  This is simply a call to YYParse.

  procedure Display_Results;
  --| PURPOSE:
  --| Display final results on all files parsed so far.

  --Modified for AdaDoc

   --Main root of the tree
   Tree : Tree_Type;

   --Private tree
   Private_Tree : Tree_Type;

   --To know if we are in private part
   In_Private : Boolean := False;


end Ada95_Parser;
