with  Adadoc_Tree;
package Ada95_Parser_Tokens is


  Maximum_String_Length : constant := 200;
  type STRING_BUFFER is record
    Text        : STRING(1..Maximum_String_Length);
    Last        : NATURAL := 0;
  end record;

  subtype YYSTYPE is AdaDoc_Tree.Object_Token_Ptr;

    YYLVal, YYVal : YYSType; 
    type Token is
        (End_Of_Input, Error, '&', ''',
         '(', ')', '*',
         '+', ',', '-',
         '.', '/', ':',
         ';', '<', '=',
         '>', '|', Arrow,
         Double_Dot, Double_Star, Assignment,
         Inequality, Greater_Than_Or_Equal, Less_Than_Or_Equal,
         Left_Label_Bracket, Right_Label_Bracket, Box,
         Abort_Token, Abs_Token, Abstract_Token,
         Accept_Token, Access_Token, Aliased_Token,
         All_Token, And_Token, Array_Token,
         At_Token, Begin_Token, Body_Token,
         Bogus_Token, Case_Token, Constant_Token,
         Declare_Token, Delay_Token, Delta_Token,
         Digits_Token, Do_Token, Else_Token,
         Elsif_Token, End_Token, Entry_Token,
         Exception_Token, Exit_Token, For_Token,
         Function_Token, Generic_Token, Goto_Token,
         If_Token, In_Token, Is_Token,
         Limited_Token, Loop_Token, Mod_Token,
         New_Token, Not_Token, Null_Token,
         Of_Token, Or_Token, Others_Token,
         Out_Token, Package_Token, Pragma_Token,
         Private_Token, Procedure_Token, Protected_Token,
         Raise_Token, Range_Token, Record_Token,
         Rem_Token, Renames_Token, Requeue_Token,
         Return_Token, Reverse_Token, Select_Token,
         Separate_Token, Subtype_Token, Tagged_Token,
         Task_Token, Terminate_Token, Then_Token,
         Type_Token, Until_Token, Use_Token,
         When_Token, While_Token, With_Token,
         Xor_Token, Base, Based_Literal,
         Decimal_Literal, Digit, Extended_Digit,
         Exponent, Identifier, Char_Literal,
         String_Literal );

    Syntax_Error : exception;

end Ada95_Parser_Tokens;
