--
-- @filename adadoc_tree-xml.ads
-- @author Julien Burdy & Vincent Decorges
-- @date 10.4.02
-- @brief Write a xml file from the parse tree
--
-- History  :
-- Date     Modification               Author
--
with Ada.Text_IO; use Ada.Text_IO;
package AdaDoc_Tree.Xml is

   --
   -- Purpose : Write a Xml file from the parse tree
   --
   -- File_Name : Name of the xml file to write
   --
   procedure Write_Xml (File_Name : in String);

   -- When the parse tree contain no Package_spec_token
   -- (The file is not an Ada specification)
   Package_Spec_Error : exception;

end AdaDoc_Tree.Xml;