-----------------------------------------------------------------------------
-- Nom fichier      :  Arbre_G-Complement.ads                              --
-- Auteur           :  Julien Burdy, Vincent Decorges EI2A                 --
-- Date             :  19.06.2001                                          --
--                                                                         --
-- But              :  Sauvegarde et lecture d'arbre dans des fichiers     --
--                     texte                                               --
--                                                                         --
-- Date de modif.   :                                                      --
-- Raison           :                                                      --
-- Modules appeles  :                                                      --
-- Mat. particulier :                                                      --
--                                                                         --
-- Compilation      : Gnat 3.11p sous NT 4                                 --
-- Edition de liens :                                                      --
-- Mode d'execution : Console                                              --
-----------------------------------------------------------------------------

with Ada.Text_IO; use Ada.Text_IO;

generic

   --Pour les conversions de type  cause de la gnericit
   with function Vers_Chaine  ( Element : T_Element ) return String ;
   with function Vers_Element ( Chaine : String ) return T_Element ;


package Arbre_G.Complement is

   Nb_Max_Niveau : constant Natural := 8;   --Nombre de niveau maximum d'un arbre

   ---------------------------------------------------------------------
   -- Nom   : Lire_Arbre                                              --
   -- But   : Permet de rcuperer un arbre qui se trouve stocker dans --
   --         un fichier texte                                        --
   --                                                                 --
   --    Out: Arbre         : L'arbre cr d'aprs le fichier         --
   -- In    : Fichier       : Le fichier ou se trouve l'arbre         --
   ---------------------------------------------------------------------
   procedure Lire_Arbre   ( Arbre : out T_Arbre; Fichier : in File_Type );

   ---------------------------------------------------------------------
   -- Nom   : Ecrire_Arbre                                            --
   -- But   : Permet d'crire un arbre dans un fichier texte          --
   --                                                                 --
   -- In    : Arbre         : L'arbre a crire dans le fichier        --
   -- In    : Fichier       : Le fichier ou crire l'arbre            --
   ---------------------------------------------------------------------
   procedure Ecrire_Arbre ( Arbre : in T_Arbre; Fichier : in File_Type );

end Arbre_G.Complement;