Ada95_Lexer
# StrongHelp by AdaDoc (c)2002 Julien Burdy & Vincent Decorges
# http://adadoc.sf.net
#Parent !Root
#fH3:Ada95\_Lexer
#Line
#Tab
#Wrap off
#Table Columns 3
 <Clauses=>.Clauses>
 <Subprograms=>.Subprograms>
 <Types=>.Types>
#EndTable
#Wrap
#Subpage Clauses
Ada95_Lexer : Clauses
#fH3:Clauses
#Line
#fH5:Context Clauses
#Tab
{*}Name{*}\t{*}Comment{*}
text\_io
ada95\_lexer\_dfa
ada95\_lexer\_io
AdaDoc\_Tree.Comment\t\# line 1 "ada95\_lexer.l"
--------------------------------------------------------------------------
 written for use with aflex
--------------------------------------------------------------------------
\/\*------------------------------------------------------------------------\*\/
\/\* Lexical input for AFLEX for LALR(1) Grammar for ANSI Ada95 \*\/
\/\* \*\/
\/\* Dean R. Runzel \*\/
\/\* Monmouth College, West Long Branch, NJ \*\/
\/\* February 16, 1995 \*\/
\/\* \*\/
\/\* Accompanies Public Domain AYACC format Ada95 grammar \*\/
\/\* \*\/
\/\* This work is based upon previous work performed by: \*\/
\/\* \*\/
\/\* Herman Fischer Litton Data Systems 1984 \*\/
\/\* C. Schaefer 1991 \*\/
\/\* C. Howell 1991 \*\/
\/\* Richard Conn Mitre, Inc. 1993 \*\/
\/\* Intermetrics, Inc. 1994 \*\/
\/\* \*\/
\/\* This work is copyrighted by the author. \*\/
\/\* \*\/
\/\* Please see the Parse95 reader for the complete text of all copyrights \*\/
\/\* and acknowledgements. \*\/
\/\* \*\/
\/\*------------------------------------------------------------------------\*\/
\# line 41 "ada95\_lexer.l"
 \*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*
 \* \*
 \* Ada95\_Lexical\_Analyzer \* SPEC
 \* \*
 \*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*
#Line
#fH5:Use Clauses
#Tab
{*}Name{*}
text\_io
ada95\_lexer\_dfa
ada95\_lexer\_io
#Subpage Subprograms
Ada95_Lexer : Subprograms
#fH3:Subprograms
#Line
#Tab
#fH5:Reset
#Tab
{*}Parameter{*}\t{*}Type{*}\t{*}Mode{*}
File\_Name\tSTRING\tin\t 
#Line
#Tab
#fH5:Close\_Files

| PURPOSE
| Zero line number count for current file and update total line
| count for all files. Reset key variables for current file.
| Open input and output files.
#Line
#Tab
{fH5}Get\_Token{f}\t{*}Return{*} : TOKEN

| PURPOSE
| Close the input and output files.
#Line
#Tab
{fH5}Get\_Token\_Value{f}\t{*}Return{*} : STRING

| PURPOSE
| Return current token
#Line
#Tab
{fH5}Get\_Current\_Line{f}\t{*}Return{*} : NATURAL

| PURPOSE
| Return value associated with current token (e.g., if current
| token is an identifier, this is the name of the identifier);
| "Current token" is the last token returned by a call to
| Get\_Token
#Line
#Tab
#fH5:Get\_Statistics

| PURPOSE
| Return line on which current token is located
#Tab
{*}Parameter{*}\t{*}Type{*}\t{*}Mode{*}
Number\_of\_Lines\tNATURAL\tout\t 
#Subpage Types
Ada95_Lexer : Types
#fH3:Types
#Line
{*}Names{*}\t{*}Declaration{*}\t{*}Comment{*}
TOKEN\t(End\_Of\_Input, Error, '&, ''', '(', ')', '\*', '+', ',', '-', '.', '\/', ':', ';', '\<', '=', '\>', '|', Arrow, Double\_Dot, Double\_Star, Assignment, Inequality, Greater\_Than\_Or\_Equal, Less\_Than\_Or\_Equal, Left\_Label\_Bracket, Right\_Label\_Bracket, Box, Abort\_Token, Abs\_Token, Abstract\_Token, Accept\_Token, Access\_Token, Aliased\_Token, All\_Token, And\_Token, Array\_Token, At\_Token, Begin\_Token, Body\_Token, Bogus\_Token, Case\_Token, Constant\_Token, Declare\_Token, Delay\_Token, Delta\_Token, Digits\_Token, Do\_Token, Else\_Token, Elsif\_Token, End\_Token, Entry\_Token, Exception\_Token, Exit\_Token, For\_Token, Function\_Token, Generic\_Token, Goto\_Token, If\_Token, In\_Token, Is\_Token, Limited\_Token, Loop\_Token, Mod\_Token, New\_Token, Not\_Token, Null\_Token, Of\_Token, Or\_Token, Others\_Token, Out\_Token, Package\_Token, Pragma\_Token, Private\_Token, Procedure\_Token, Protected\_Token, Raise\_Token, Range\_Token, Record\_Token, Rem\_Token, Renames\_Token, Requeue\_Token, Return\_Token, Reverse\_Token, Select\_Token, Separate\_Token, Subtype\_Token, Tagged\_Token, Task\_Token, Terminate\_Token, Then\_Token, Type\_Token, Until\_Token, Use\_Token, When\_Token, While\_Token, With\_Token, Xor\_Token, Base, Based\_Literal, Decimal\_Literal, Digit, Extended\_Digit, Exponent, Identifier, Char\_Literal, String\_Literal)\t| PURPOSE
| Analyze a stream of characters for tokens, producing a stream of
| tokens as a result. The input stream is obtained through Text\_IO.
| The output stream is obtained by the user of this package through
| successive calls to Get\_Token.
|
| AUTHOR AND REVISION HISTORY:
| Version Date Author Notes
| 1.0 12 Nov 93 Richard Conn Initial release
| 1.1 6 Mar 95 Dean Runzel Change package name and correct
| identifier errors
| 1.2 3 Apr 97 Richard Conn Modify for SCATC Kit
| 1.3 9 Apr 02 Vincent Decorges Modify name for AdaDoc
| NOTES:
| The sequence of invocation of the methods in this package is:
| Reset - initialize analyzer and open input file
| Get\_Token -- as desired until END\_OF\_INPUT is returned
| Get\_Token\_Value -- as desired (returns string of token)
