-----------------------------------------------------------------------------
-- Nom fichier      :  outils_adadoc-html.ads                              --
-- Auteur           :  <a>Julien Burdy, Vincent Decorges EIA</a>           --
-- Date             :  <d>05.07.2001</d>                                   --
--                                                                         --
-- But              :  <p>Paquetage pour l'criture du fichier HTML final  --
--                     </p>                                                --
-- Date de modif.   :                                                      --
-- Raison           :                                                      --
-- Modules appeles  :                                                      --
-- Mat. particulier :                                                      --
--                                                                         --
-- Compilation      : Gnat 3.13p                                           --
-- Edition de liens :                                                      --
-- Mode d'execution :                                                      --
-----------------------------------------------------------------------------

package Outils_Adadoc.Html is


   ---------------------------------------------------------------------------
   --    Nom   : Ecrire_Html                                                --
   -- <?>But   : Permet d'crire le ficher html final                       --
   --                                                                       --
   --    In Out: Fichier    : Le fichier qui va contenir les tags html      --
   --    In    : Table      : La table contenant tout les objets de la spec --
   --    In    : StyleSheet : Le chemin d'une stylesheet</?>                --
   ---------------------------------------------------------------------------
   procedure Ecrire_Html (Fichier : in out File_Type;
                          Table : in T_PT_Objet;
                          StyleSheet : in String := "");

   --<?>en cas d'erreur lors de l'criture du fichier</?>
   Ecriture_Html_Erreur : exception;

end Outils_Adadoc.Html;

