-----------------------------------------------------------------------------
-- Nom Fichier      :  outils_adadoc-xml.ads                               --
-- Auteur           :  <a>Julien Burdy, Vincent Decorges EI2A</a>          --
-- Date             :  <d>03.01.2002</d>                                   --
--                                                                         --
-- But              :  <p>Create the final XML file</p>                    --
--                                                                         --
-- Date de modif.   :                                                      --
-- Raison           :                                                      --
-- Modules appeles  :                                                      --
-- Mat. particulier :                                                      --
--                                                                         --
-- Compilation      : Gnat 3.13p                                           --
-- Edition de liens :                                                      --
-- Mode d'excution :                                                      --
-----------------------------------------------------------------------------

package Outils_Adadoc.XML is

   ----------------------------------------------------------------------------
   -- Name         : Write_XML                                               --
   -- <?>Objective : Invite all the other procedures in a precise order to   --
   --                                          create the final XML file</?> --
   ----------------------------------------------------------------------------
   -- In Out : File        : The file where will be written the XML tree     --
   -- In     : Table       : The table containing the objects                --
   -- In     : Style_Sheet : Show the way of the style sheet                 --
   ----------------------------------------------------------------------------
   procedure Write_XML (File : in out File_Type; Table : in T_PT_Objet;
                                                 Style_Sheet : in String :="");

   -- <?>in the event of error for writing the file</?>
   XML_Error : exception;

end Outils_Adadoc.XML;

